nginx ‘ngx_cpystrn()’信息泄露漏洞

受影响系统:

Igor Sysoev nginx 1.0.9
Igor Sysoev nginx 1.0.8
Igor Sysoev nginx 1.0.10

不受影响系统:

Igor Sysoev nginx 1.1.17
Igor Sysoev nginx 1.0.14

描述:


BUGTRAQ  ID: 52578
CVE ID: CVE-2012-1180

nginx是一款使用非常广泛的高性能web服务器。

nginx在处理上游服务器的畸形HTTP响应的实现上存在信息泄露漏洞,攻击者可利用此漏洞获取敏感信息。

<*来源:Matthew Daley

链接:http://seclists.org/bugtraq/2012/Mar/65
*>

建议:


厂商补丁:

Igor Sysoev
———–
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://nginx.net/

评论关闭。